unit uquadglei;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { Tfquadglei }

  Tfquadglei = class(TForm)
    BitBtn1: TBitBtn;
    b_berechnen: TButton;
    eA: TEdit;
    eB: TEdit;
    eC: TEdit;
    ex1: TEdit;
    ex2: TEdit;
    ex12: TEdit;
    ebemerkungen: TEdit;
    exlin: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    lthema: TLabel;
    procedure b_berechnenClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fquadglei: Tfquadglei;

implementation

{$R *.lfm}

{ Tfquadglei }

procedure Tfquadglei.b_berechnenClick(Sender: TObject);
VAR A,B,C,p,q,D,x1,x2,x12,x : SINGLE;
begin
 //Initialisierung
 ex1.text:='-';
 ex2.text:='-';
 ex12.text:='-';
 exlin.text:='-';
 ebemerkungen.text:='-';
 //Eingaben
 A:=STRTOFLOAT(eA.Text);
 B:=STRTOFLOAT(eB.Text);
 C:=STRTOFLOAT(eC.Text);
 //Verarbeitung
 IF A <> 0 THEN BEGIN
                 p:=B/A; q:=C/A; D:=p*p/4-q;
                 IF D > 0 THEN BEGIN
                                x1:=-p/2+SQRT(D); x2:=-p/2-SQRT(D);
                                ex1.text:=FLOATTOSTRF(x1,ffnumber,8,2);
                                ex2.text:=FLOATTOSTRF(x2,ffnumber,8,2);
                               END
                          ELSE IF D = 0 THEN BEGIN
                                              x12:=-p/2;
                                              ex12.text:=FLOATTOSTRF(x12,ffnumber,8,2);
                                             END
                                        ELSE BEGIN
                                              ebemerkungen.text:='keine reelle Lösung';
                                             END
                END
           ELSE IF B <> 0 THEN BEGIN
                                x:=-C/B;
                                exlin.text:=FLOATTOSTRF(x,ffnumber,8,2);
                               END
                          ELSE IF C <> 0 THEN BEGIN
                                               ebemerkungen.text:='keine reelle Lösung';
                                              END
                                         ELSE BEGIN
                                               ebemerkungen.text:='unendlich viele Lösungen';
                                              END;

 end;


end.

